/*
 * Copyright (C) 2001,2002 Wojciech Purczynski <cliph@isec.pl>
 *
 * THIS PROGRAM IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY
 * IT UNDER THE TERMS OF THE GNU GENERAL PUBLIC LICENSE AS PUBLISHED BY
 * THE FREE SOFTWARE  FOUNDATION;  EITHER  VERSION 2 OF THE LICENSE, OR
 * (AT YOUR OPTION) ANY LATER VERSION.
 *
 * THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED  WARRANTY OF
 * MERCHANTABILITY OR FITNESS  FOR A PARTICULAR  PURPOSE.  SEE THE
 * GNU GENERAL PUBLIC LICENSE FOR MORE DETAILS.
 */

#ifndef _CAPSEL_FS_H
#define _CAPSEL_FS_H

#include <linux/dcache.h>
#include <linux/fs.h>
#include <linux/slab.h>

char *get_exename(void);
#define put_exename(name) putname(((long)name) & PAGE_MASK)

/* char* pointer points to the user-space memory area */
char *get_realpath(const char *);
#define put_realpath(name) putname(((long)name) & PAGE_MASK)

int ch_root(const char *);
int check_chroot(void);

#endif /* _CAPSEL_FS_H */
